Loading...
Searching...
No Matches
flatvectorview.hh File Reference
`#include <array>`
`#include <dune/common/concept.hh>`
`#include <dune/common/hybridutilities.hh>`
`#include <dune/common/indices.hh>`
`#include <dune/functions/functionspacebases/concepts.hh>`

Go to the source code of this file.

## Namespaces

namespace | Dune
namespace | Dune::Functions

## Functions

template<class T>
auto | Dune::Functions::flatVectorView (T &t)
| Create flat vector view of passed mutable container.
template<class T>
auto | Dune::Functions::flatVectorView (const T &t)
| Create flat vector view of passed const container.
template<class T>
auto | Dune::Functions::flatVectorView (T &&t)
| Create flat vector view of passed container temporary.